Skip to main content
POST
/
v1
/
organizations
Create Organization
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "externalClientCode": "<string>",
  "managerUserIds": [
    "<string>"
  ]
}
'
{
  "version": 123,
  "name": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "externalClientCode": "<string>",
  "managerUserIds": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the organization.

Maximum string length: 80
externalClientCode
string

The unique client ID applied to this organization.

Maximum string length: 80
managerUserIds
string[]

Identifies users assigned to the organization manager role.

Response

201 - application/json

Created

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the organization.

Maximum string length: 80
id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

externalClientCode
string

The unique client ID applied to this organization.

Maximum string length: 80
managerUserIds
string[]

Identifies users assigned to the organization manager role.